Bullet Collision Detection & Physics Library: BT_BOX_BOX_TRANSFORM_CACHE Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
BT_BOX_BOX_TRANSFORM_CACHE Class Reference

Class for transforming a model1 to the space of model0. More...

`#include <btBoxCollision.h>`

Collaboration diagram for BT_BOX_BOX_TRANSFORM_CACHE:
[legend]

## Public Member Functions
void | calc_absolute_matrix ()
| BT_BOX_BOX_TRANSFORM_CACHE ()
void | calc_from_homogenic (const btTransform &trans0, const btTransform &trans1)
| Calc the transformation relative 1 to 0. Inverts matrics by transposing.
void | calc_from_full_invert (const btTransform &trans0, const btTransform &trans1)
| Calcs the full invertion of the matrices. Useful for scaling matrices.
btVector3 | transform (const btVector3 &point) const

## Public Attributes
btVector3 | m_T1to0
| Transforms translation of model1 to model 0.
btMatrix3x3 | m_R1to0
| Transforms Rotation of model1 to model 0, equal to R0' * R1.
btMatrix3x3 | m_AR
| Absolute value of m_R1to0.

## Detailed Description

Class for transforming a model1 to the space of model0.

Definition at line 151 of file btBoxCollision.h.

## Constructor & Destructor Documentation

## ◆ BT_BOX_BOX_TRANSFORM_CACHE()

BT_BOX_BOX_TRANSFORM_CACHE::BT_BOX_BOX_TRANSFORM_CACHE | ( |  | ) |
| inline

Definition at line 177 of file btBoxCollision.h.

## Member Function Documentation

## ◆ calc_absolute_matrix()

void BT_BOX_BOX_TRANSFORM_CACHE::calc_absolute_matrix | ( |  | ) |
| inline

Definition at line 159 of file btBoxCollision.h.

## ◆ calc_from_full_invert()

void BT_BOX_BOX_TRANSFORM_CACHE::calc_from_full_invert | ( | const btTransform & | trans0,
|  | const btTransform & | trans1
| ) |  |
| inline

Calcs the full invertion of the matrices. Useful for scaling matrices.

Definition at line 194 of file btBoxCollision.h.

## ◆ calc_from_homogenic()

void BT_BOX_BOX_TRANSFORM_CACHE::calc_from_homogenic | ( | const btTransform & | trans0,
|  | const btTransform & | trans1
| ) |  |
| inline

Calc the transformation relative 1 to 0. Inverts matrics by transposing.

Definition at line 182 of file btBoxCollision.h.

## ◆ transform()

btVector3 BT_BOX_BOX_TRANSFORM_CACHE::transform | ( | const btVector3 & | point | ) | const
| inline

Definition at line 205 of file btBoxCollision.h.

## Member Data Documentation

## ◆ m_AR

btMatrix3x3 BT_BOX_BOX_TRANSFORM_CACHE::m_AR

Absolute value of m_R1to0.

Definition at line 157 of file btBoxCollision.h.

## ◆ m_R1to0

btMatrix3x3 BT_BOX_BOX_TRANSFORM_CACHE::m_R1to0

Transforms Rotation of model1 to model 0, equal to R0' * R1.

Definition at line 156 of file btBoxCollision.h.

## ◆ m_T1to0

btVector3 BT_BOX_BOX_TRANSFORM_CACHE::m_T1to0

Transforms translation of model1 to model 0.

Definition at line 155 of file btBoxCollision.h.

The documentation for this class was generated from the following file:

- btBoxCollision.h